%{?nodejs_find_provides_and_requires}
%global npm_name is-npm

Summary:       Check if your code is running as an npm script
Name:          nodejs-%{npm_name}
Version:       1.0.0
Release:       1%{?dist}
License:       MIT
URL:           https://github.com/sindresorhus/is-npm
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
Check if your code is running as an npm script.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps


%files
%doc readme.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Tue Dec 15 2015 Troy Dawson <tdawson@redhat.com> - 1.0.0-1
- Initial package
